import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import TextArea from './ZTextArea'


const FormItem = Form.Item;


export default class T71B extends Component
{

    name='71B'
    desp = "Details of Charges"
    
    pattern = ""
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        let value =this.props.value

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        value = value && value.length? value[0] : {}
        return (<Row>
            <Col span={24}>
            <FormItem
                  help={errmsg.s1}
                            validateStatus={errmsg.s1?'error':null} 
                >
                        
                        <TextArea type= "textarea" maxLength={210} cols={35} rows={6} style={{imeMode:'disabled'}} placeholder={this.props.desp} value={value.s1} onChange={(e)=>this.onChange(e.target.value)}/>
                </FormItem>
            
            </Col>
        </Row>)
    }
}